## gnustep-base 1.30.0

=== debian/changelog ===
gnustep-base (1.30.0-7) unstable; urgency=medium

  * debian/patches/NSStream-test-riscv64.patch: Revert last change.  Fix
    logic error in -[Listener stream:handleEvent:].

 -- Yavor Doganov <yavor@gnu.org>  Wed, 14 Aug 2024 10:02:07 +0300

gnustep-base (1.30.0-6) unstable; urgency=medium

  * debian/patches/NSStream-test-riscv64.patch: Prevent global buffer
    overflow (caught by GCC's AddressSanitizer).

 -- Yavor Doganov <yavor@gnu.org>  Sun, 11 Aug 2024 18:13:14 +0300

gnustep-base (1.30.0-5) unstable; urgency=medium

  * debian/patches/non-portable-tests.patch: New; cherry-pick two upstream
    commits to fix compilation of tests with GCC.
  * debian/patches/gcc-synthesize.patch: New; make
    NSUserNotification/NSUserNotificationCenter work with GCC.
  * debian/patches/NSStream-test-riscv64.patch: New; attempt to fix a
    strange intermittent test abort on riscv64.
  * debian/changelog: Typo fixes.
  * debian/templates/control.m4 (Build-Conflicts): Remove; obsolete.
    (gnustep-base-common): Add Breaks/Replaces for the manpages' move.
  * debian/control: Regenerate.
  * debian/rules (override_dh_auto_configure): Stop generating files with
    constant names from templates with variables having constant values.
    Do not involve sed where a simple copy operation is sufficient.
    (GS_DTDs_DEBIAN): Remove definition.
    (v_make): Bump to 2.9.2-3 for recent dh_gnustep additions.
    (override_dh_auto_install-indep): Delete timezones.
    (execute_before_dh_link): New target; run dh_gnustep.
  * debian/templates/gnustep-base-runtime.postrm.in: Rename as...
  * debian/gnustep-base-runtime.postrm: ...since generating it is useless.
  * debian/templates/gnustep-base-runtime.postinst.in: Rename as...
  * debian/gnustep-base-runtime.postinst: ...as above.
  * debian/templates/gnustep-base-common.xmlcatalogs.in: Rename as...
  * debian/gnustep-base-common.xmlcatalogs: ...as above.
  * debian/templates/gnustep-base-common.install.in: Rename as..
  * debian/gnustep-base-common.install: ...as above; simplify.  Install
    all manpages in this package; -runtime depends on it.
  * debian/template/gnustep-base-runtime.links.in: Delete and move
    manpages' symlinks...
  * debian/templates/gnustep-base-common.links.in: ...here.
  * debian/templates/libgnustep-baseN.install.in: Replace @GS_LIBS@.
  * debian/gnustep-base-runtime.install: Remove manpages.
  * debian/clean: Remove files that are no longer generated.
  * debian/watch: Use HTTPS protocol.
  * debian/tests/adequate: New autopkgtest.
  * debian/tests/control (Tests): Add new test.
    (Depends): Add adequate and debhelper.
  * debian/copyright: Add more stanzas for files under various permissive
    licenses.  Move all license texts at the end.

 -- Yavor Doganov <yavor@gnu.org>  Sun, 11 Aug 2024 11:58:00 +0300

gnustep-base (1.30.0-4) unstable; urgency=medium

  * debian/patches/hurd-tests.patch: Add two more testHopeful definitions
    as the variable is reset after each set of tests.

 -- Yavor Doganov <yavor@gnu.org>  Thu, 27 Jun 2024 09:51:08 +0300

gnustep-base (1.30.0-3) unstable; urgency=medium

  * debian/rules (v_objc): Set to the empty string.
    (m4_objc, m4_make): New variables.  Handle the case when the gobjc and
    gnustep-make versions in (old)stable are sufficient enough; in this
    case no version constraint should be generated.
    (override_dh_testdir): Use the new conditionally defined variables.
  * debian/templates/control.m4: Restore lost V_OBJC macro, adapt V_MAKE
    macros to the new rule.
  * debian/patches/autogsdoc-reproducibility.patch: Fix reproducibility
    regression following upstream changes to autogsdoc which now adds a
    timestamp to generated .gsdoc/.html files.  Extract the date from
    debian/changelog instead when building a Debian package.
  * debian/patches/hurd-tests.patch: New; mark as hopeful tests that
    sometimes fail on GNU/Hurd.  This problem appears to be an
    intermittent issue with the Debian buildds.

 -- Yavor Doganov <yavor@gnu.org>  Wed, 26 Jun 2024 18:13:45 +0300

gnustep-base (1.30.0-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/gbp.conf: Remove debian-branch.
  * debian/patches/libxml2-2.11.patch: Delete; fixed in 1.30.0.
  * debian/patches/nscalendardate-hppa+ppc.patch: Delete; problem gone.
  * debian/clean: Add gnustep-base.pc.

 -- Yavor Doganov <yavor@gnu.org>  Thu, 20 Jun 2024 13:44:14 +0300

gnustep-base (1.29.0-8) unstable; urgency=medium

  * debian/patches/libxml2-2.11.patch: New; fix FTBFS with libxml2 >= 2.11
    (Closes: #1073313).  Thanks Lucas Nussbaum for the report.

 -- Yavor Doganov <yavor@gnu.org>  Sun, 16 Jun 2024 19:56:29 +0300

gnustep-base (1.30.0-1) experimental; urgency=medium

  * New upstream release.
  * debian/gbp.conf: Set debian-branch to experimental.
  * debian/control: Regenerate to reflect the SONAME change.
  * debian/patches/tzdb.h-include.patch: Delete; applied upstream.
  * debian/patches/fix-spelling-error.patch: Likewise.
  * debian/patches/GSTimeZoneDetail-retain-abbrev.patch: Likewise.
  * debian/patches/HTMLLinker-troff-warning.patch: Likewise.
  * debian/patches/nstimezone-32bit-time_t.patch: Likewise.
  * debian/patches/NSURL-tests-new-url.patch: Likewise.
  * debian/patches/TestHelper-category-interface.patch: Likewise.
  * debian/patches/pkg-config-macro.patch: Refresh.
  * debian/patches/fix-tests-network.patch: Likewise.
  * debian/patches/autogsdoc-reproducibility.patch: Likewise.
  * debian/patches/nscalendardate-hppa+ppc.patch: Disable for now.
  * debian/not-installed: Add the .pc file as it produces multiple
    pkg-config-bad-directive lintian errors.
  * debian/gnustep-base-runtime.lintian-overrides: Remove no-manual-page
    for usr/libexec/gdomap-helper; apparently this lintian bug was fixed.
  * debian/templates/control.m4 (Uploaders): Change Gürkan's name to Alex.
    (Standards-Version): Bump to 4.7.0; no changes needed.
  * debian/copyright: Update copyright years.


