=== debian/tests/control ===
Tests: adequate file-tests testsuite
Restrictions: allow-stderr
Depends: @, @builddeps@, adequate, debhelper, file, shunit2
