=== debian/changelog ===
gnustep-base (1.31.1-4ubuntu1) questing; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - disable some tests failing in Ubuntu infra, but not locally

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 10 Sep 2025 11:17:40 +0200

gnustep-base (1.31.1-4) unstable; urgency=medium

  * debian/patches/gcc-15.patch: New; cherry-pick upstream commit to fix
    FTBFS with GCC 15 (Closes: #1096744).
  * debian/patches/multiarch+cross.patch: Use the obtained value of
    DEB_HOST_MULTIARCH at configure time instead of launching
    dpkg-architecture.  Thanks Guillem Jover for the report and the idea.
  * debian/templates/control.m4 (libgnustep-base`'SOV_BASE): Remove
    dpkg-dev thus reverting the last change (Closes: #1112161).
  * debian/control: Regenerate.
  * debian/gnustep-base-runtime.preinst: Delete; no longer needed.
  * debian/templates/gnustep-base-common.postinst.in: Remove snippets
    for the leftover directory during the 1.30->1.31 upgrade.
  * debian/copyright: Replace FSF's old address with the canonical URL.

 -- Yavor Doganov <yavor@gnu.org>  Sun, 07 Sep 2025 20:13:04 +0300

gnustep-base (1.31.1-3ubuntu2) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 22 May 2025 10:24:42 +0200

gnustep-base (1.31.1-3ubuntu1) questing; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - disable some tests failing in Ubuntu infra, but not locally

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 02 May 2025 07:48:35 +0200

gnustep-base (1.31.1-3) unstable; urgency=medium

  * debian/templates/control.m4 (libgnustep-base`'SOV_BASE) <Depends>: Add
    dpkg-dev; thanks Sunil Mohan Adapa (Closes: #1101210).
  * debian/control: Regenerate.

 -- Yavor Doganov <yavor@gnu.org>  Tue, 25 Mar 2025 07:49:59 +0200

gnustep-base (1.31.1-2) unstable; urgency=medium

  * debian/patches/multiarch+cross.patch: Redirect stderr from
    dpkg-architecture to a temporary file and print its contents in case
    of an error.  Thus, warnings are effectively ignored (we are not
    interested in them anyway) as they break some tools which parse
    unar's output (Closes: #1099608).  Thanks Bastian Germann.  A minor
    side effect of this change is some slowdown because the temporary
    file is always created as we can't predict the exit status.

 -- Yavor Doganov <yavor@gnu.org>  Wed, 19 Mar 2025 12:17:03 +0200

gnustep-base (1.31.1-1) unstable; urgency=medium

  * New upstream bugfix release.
  * debian/patches/ftbfs-s390x.patch: Delete; now fixed upstream in a more
    portable way.
  * debian/patches/multiarch+cross.patch: Refresh.
  * debian/templates/gnustep-base-common.prerm.in: Remove localtime
    symlink on upgrade too, to allow dpkg to remove the old directory when
    upgrading to a new binary-incompatible version.
  * debian/templates/gnustep-base-common.postinst.in: Delete leftover
    directory that was not handled properly during the 1.30->1.31 upgrade.

 -- Yavor Doganov <yavor@gnu.org>  Wed, 05 Mar 2025 22:42:34 +0200

gnustep-base (1.31.0-4) unstable; urgency=medium

  * Upload to unstable.
  * debian/gbp.conf: Remove debian-branch.
  * debian/templates/control.m4 (Standards-Version): Claim compliance with
    4.7.2; no actual changes needed.
  * debian/control: Regenerate.

 -- Yavor Doganov <yavor@gnu.org>  Fri, 28 Feb 2025 11:08:18 +0200

gnustep-base (1.31.0-3) experimental; urgency=medium

  * debian/patches/ftbfs-s390x.patch: New; cherry-pick upstream commit to
    fix FTBFS (testsuite failure) on s390x.  Many thanks to upstream
    developer and long-time Base maintainer Richard Frith-Macdonald.
  * debian/patches/pkg-config-macro.patch: Delete -- it's not worth
    patching the upstream source for a lintian shortcoming.
  * debian/patches/multiarch+cross.patch: Use getenv instead of
    NSProcessInfo for a small performance optimization.
  * debian/templates/control.m4 (Standards-Version): Claim compliance with
    4.7.1; no actual changes needed.
  * debian/control: Regenerate.
  * debian/source/lintian-overrides: New file; override lintian warning
    autotools-pkg-config-macro-not-cross-compilation-safe (false positive).

 -- Yavor Doganov <yavor@gnu.org>  Sun, 23 Feb 2025 16:39:06 +0200

gnustep-base (1.31.0-2) experimental; urgency=medium

  * debian/patches/multiarch+cross.patch: Restore locking as a desperate
    attempt to fix testsuite disaster on s390x.
  * debian/patches/autogsdoc-reproducibility.patch: Fix a memory leak.
  * debian/NEWS: Typo fix.

 -- Yavor Doganov <yavor@gnu.org>  Wed, 19 Feb 2025 06:29:07 +0200

gnustep-base (1.31.0-1) experimental; urgency=medium

  * New upstream release:
    + SONAME change: libgnustep-base1.30 -> 1.31.
  * debian/gbp.conf: Set debian-branch to experimental.
  * debian/templates/control.m4 (Build-Depends): Add graphviz for the
    class inheritance diagrams.  This is likely to bite us because it's
    not available on all architectures.
    (gnustep-base-runtime) <Depends>: Add graphviz; autogsdoc will die
    with an exception if the dot program is missing.
  * debian/rules (v_make): Bump to 2.9.3.  It is needed because upstream
    uses gnustep-tests' new --timeout option.  Also, we rely on dh_gnustep
    to move GNUSTEP_LIBRARY/Tools to /usr/share/GNUstep/Tools.
    (override_dh_auto_install-indep): Delete accidental temporary file.
  * debian/control: Regenerate, reflecting the SONAME change.
  * debian/patches/pkg-config-macro.patch: Refresh.
  * debian/patches/autogsdoc-reproducibility.patch: Likewise.
  * debian/patches/gcc-synthesize.patch: Likewise.
  * debian/patches/no-etc-timezone.patch: Likewise.
  * debian/patches/multiarch+cross.patch: Likewise.
  * debian/patches/fix-tests-network.patch: Remove hunks applied upstream.
  * debian/patches/non-portable-tests.patch: Delete; fixed upstream.
  * debian/patches/NSStream-test-riscv64.patch: Likewise.

