=== debian/tests/control ===
Tests:
 adequate file-tests testsuite,
Restrictions:
 allow-stderr,
Depends:
 adequate,
 debhelper,
 file,
 shunit2,
 @,
 @builddeps@,
